Package org.jcsp.net.remote

# Class ChildProcess

java.lang.Object
org.jcsp.net.remote.ChildProcess

public class ChildProcess extends Object

For use by the infrastructure only.

Process launcher for starting a child JVM. This class should not be used directly. On loading the process to be started will be retrieved from the main `SpawnerService` JVM and run. The .NET node will be initialized using the factory supplied by the spawner. This may be either the platform's default factory or one supplied to the proxy `ChildProcess` processes.

The process started should not call `System.exit` to terminate. If it does a `RemoteProcessFailedException` will be raised as an abrupt exit cannot be distinguished from a .NET infrastructure failure.

If the process raises an exception, this will be forwarded to the caller if possible.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`ChildProcess()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Program entry point.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChildProcess

public ChildProcess()

## Method Details

### main

public static void main(String[] args)
Program entry point. An argument will give the name of a temporary file that contains serialized representations of the process and other information required to locate the originating host.

Parameters:
  `args` - program command line arguments